document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_4000
--- +++ @@ -9,7 +9,9 @@ echo "Starting gsad" gsad --http-only +echo "Starting openvas-scanner..." openvassd +echo "Starting openvas-manager" openvasmd echo "This may take a minute or two..."
bash
d_bash_4001
--- +++ @@ -2,16 +2,6 @@ TINC_TARGET="$@" TINC_DIR=/home/gpadmin/gpdb_src/src/test/tinc - -trap look4diffs ERR -function look4diffs() { - find "\${TINC_DIR}" -name *.diff -exec cat {} \; >> "\${TINC_DIR}/regression.diffs" - echo "==================================================================" - echo "The diff...
bash
d_bash_4002
--- +++ @@ -10,6 +10,9 @@ alias o='open' alias oo='open .' +# Open Xcode workspace/project easily +alias x='open -a Xcode .' + # Show/hide hidden files in Finder alias show="defaults write com.apple.Finder AppleShowAllFiles -bool TRUE; killall Finder" alias hide="defaults write com.apple.Finder AppleShowAllFil...
bash
d_bash_4003
--- +++ @@ -11,7 +11,7 @@ -a "$TRAVIS_PULL_REQUEST" = false \ -a "$TRAVIS_BRANCH" = master \ -a "$TRAVIS_OS_NAME" == linux \ - -a "$TRAVIS_COMMIT_MESSAGE" == *"Trigger update site upload"* ] + -a "$TRAVIS_COMMIT_MESSAGE" = *"Trigger update site upload"* ] then # We'll use the standard scijava script fo...
bash
d_bash_4004
--- +++ @@ -1,6 +1,4 @@ #!/bin/bash - -PSSH_RUN="pssh -i" die() { echo "$1" @@ -9,7 +7,8 @@ set_pssh_hosts() { [ -z "$1" ] && die "No environment ID provided, exiting" - for node in $(list_nodes $1 controller); + PSSH_RUN="pssh -i" + for node in $(list_nodes $1 ${2:controller}); do ...
bash
d_bash_4005
--- +++ @@ -6,12 +6,12 @@ brew install bash-completion brew install cmake +brew install cuda brew install macvim brew install packer brew install stow brew install tmux -brew cask install cuda brew cask install docker brew cask install firefox brew cask install gfxcardstatus
bash
d_bash_4006
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh libtoolize --copy -aclocal +aclocal -I m4 gtkdocize --copy autoconf autoheader
bash
d_bash_4007
--- +++ @@ -14,6 +14,7 @@ nibtool -d $langdir/$nibname.strings $primarydir/$nibfile -W $translated cp $translated/*.nib $langdir/$nibfile rm -rf $translated $langdir/*~.nib + touch $langdir/$nibfile echo Updated $langdir/$nibfile else cp $primarydir/$nibfile/*.nib $langdir/$nibfile
bash
d_bash_4008
--- +++ @@ -39,7 +39,7 @@ SETTINGS echo "Update product_details" -manage.py update_product_details +./manage.py update_product_details echo "Starting tests..." export FORCE_DB=1
bash
d_bash_4009
--- +++ @@ -1,4 +1,6 @@ -alias pelican="LC_ALL=\"en_US.UTF-8\" LANG=\"en_US.UTF-8\" pelican" -alias pelican-quickstart="LC_ALL=\"en_US.UTF-8\" LANG=\"en_US.UTF-8\" pelican-quickstart" -alias pelican-make-html="LC_ALL=\"en_US.UTF-8\" LANG=\"en_US.UTF-8\" make html" -alias pelican-make-serve="LC_ALL=\"en_US.UTF-8\" LAN...
bash
d_bash_4010
--- +++ @@ -5,6 +5,13 @@ export GOOS="$goos" for goarch in 386 amd64; do export GOARCH="$goarch" - go build -v -o build/jp-$GOOS-$GOARCH + echo "Building for $GOOS/$GOARCH" + go build -v -o build/jp-$GOOS-$GOARCH 2>/dev/null done done +# Also build for ARM7/linux +export GOOS=linux +export GOARCH=arm +ex...
bash
d_bash_4011
--- +++ @@ -25,12 +25,7 @@ exec sudo -u $RUN_AS $0 fi -cd "${scripts_dir}/.." -virtualenv --system-site-packages -p python3 env -echo "/home/pi/AIY-projects-python/src" > \ - /home/pi/AIY-projects-python/env/lib/python3.5/site-packages/aiy.pth - # The google-assistant-library is only available on some platf...
bash
d_bash_4012
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -REV='8ae98d2b6e146948a7ed13e76141e0f69228d690' +REV='49607addb31879e2aa2b701317773674662315aa' INSTALLED_FILE="${IROOT}/lwan-${REV}.installed" RETCODE=$(fw_exists ${INSTALLED_FILE})
bash
d_bash_4013
--- +++ @@ -1,19 +1,7 @@ . /etc/pcp.env export PCP_STDERR="" - -case `pwd` -in - */qa) - export PATH=.:`cd ..; pwd`:$PATH - ;; - *) - echo "Warning: not in qa directory, I'm confused" - pwd - status=1 - exit - ;; -esac +export PATH=.:$PATH # get offset into an archive relative to the first pmResult ...
bash
d_bash_4014
--- +++ @@ -8,7 +8,6 @@ exec java \ $JAVA_OPTIONS \ - -Xms$MIN_MEMORY -Xmx$MAX_MEMORY \ -Djava.net.preferIPv4Stack=true \ -Dlogback.configurationFile=/iri/conf/logback.xml \ --add-modules java.xml.bind \
bash
d_bash_4015
--- +++ @@ -26,7 +26,7 @@ ### Deploy app.quicktype.io ### ############################### -if [ "$APPCENTER_BRANCH" == "appcenter" ]; then +if [ "$APPCENTER_BRANCH" == "master" ]; then appcenter \ build queue \ --app quicktype/app.quicktype.io \ @@ -38,7 +38,7 @@ ### Deploy Xcode extension...
bash
d_bash_4016
--- +++ @@ -3,7 +3,9 @@ # A function to link a file from this directory as a dotfile in the user's $HOME # Assumes that the file should have the same name with a '.' prepended. makelink () { - if [[ -f $HOME/.$1 ]]; then + if [[ -h $HOME/.$1 ]] then + rm $HOME/.$1 + elif [[ -e $HOME/.$1 ]]; then ...
bash
d_bash_4017
--- +++ @@ -6,8 +6,8 @@ $DIFF $(basename $1).txt $(basename $2).txt > $(basename $1).diff RET=$? -echo "original pcap file is $PWD/$1" -echo "generated pcap file is $2" +echo "original pcap file is $2" +echo "generated pcap file is $PWD/$1" echo "diff file is $PWD/$(basename $1).diff" cat $(basename $1).diff
bash
d_bash_4018
--- +++ @@ -21,7 +21,7 @@ npm version $VERSION -m "Upgrade to $VERSION" # publish - npm publish --tag next + npm publish echo "Publish $VERSION successfully!" read -p "Upgrade GitHub Pages? (y/n)" -n 1 -r
bash
d_bash_4019
--- +++ @@ -20,4 +20,10 @@ cd /tmp NO=ibex-${1} -tar -cz $NO/LICENSE $NO/README $NO/www/conf.js $NO/css_includes/*.css $NO/js_includes/*.js $NO/data_includes/*.js $NO/www/json.js $NO/mkdist.sh $NO/www/server.py $NO/server_conf.py $NO/www/shuffle.js $NO/www/jquery*.js $NO/www/PluginDetect.js $NO/www/experiment.htm...
bash
d_bash_4020
--- +++ @@ -1,5 +1,5 @@ SWELLRT_HOME=/usr/local/swellrt -SWELLRT_CONSOLE_LOGFILE=${SWELLRT_HOME}/console.log +SWELLRT_CONSOLE_LOGFILE=${SWELLRT_HOME}/log/console.log SWELLRT_JAR=${SWELLRT_HOME}/wave.jar nohup java $DEBUG_FLAGS \
bash
d_bash_4021
--- +++ @@ -16,19 +16,26 @@ pip install dist/*.whl cp examples/notebooks/*.ipynb $TEST_DIR/ + +python -m jupyterlab.browser_check +jupyter lab clean --all + +pushd jupyterlab/tests/mock_packages +jupyter labextension install mimeextension --no-build --debug +jupyter labextension develop extension +jupyter labexte...
bash
d_bash_4022
--- +++ @@ -28,3 +28,4 @@ asdf_setup rust nightly asdf_setup tmux 3.1 asdf_setup yarn 1.19.1 +asdf_setup github-cli 0.6.4
bash
d_bash_4023
--- +++ @@ -2,19 +2,36 @@ SCRIPT_PATH=$(dirname $(readlink -e $0)) UPGRADE_PATH=$SCRIPT_PATH/upgrade + + +error() { + local message="$1" + local code="${2:-1}" + + echo "${message}" + + exit "${code}" +} + function prepare_upgrade_files { DOCKER_IMAGES_DIR_PATH=$UPGRADE_PATH/images DOCKER_IMAGES_ARCH...
bash
d_bash_4024
--- +++ @@ -10,5 +10,6 @@ alias v=vim alias df='cd ~/dotfiles' +alias re='ALLOW_UNSUPPORTED_XCODE=1 gr && make update_dependencies && -' alias speedtest='wget -O /dev/null http://speedtest.wdc01.softlayer.com/downloads/test500.zip'
bash
d_bash_4025
--- +++ @@ -6,7 +6,19 @@ CONAN_FILENAME="conanfile.txt" CONAN_INFO_FILE="conaninfo.txt" -conan install --build outdated --file "${CONAN_DIR}${CONAN_FILENAME}" +FORCE=0 + +if [ $# -gt 0 ]; then + if [ "$1" == "-f" ]; then + FORCE=1 + fi +fi + +if [ $FORCE -eq 1 ]; then + conan install --build --file "${CONAN_DIR}...
bash
d_bash_4026
--- +++ @@ -2,7 +2,7 @@ set -e if [ "${1#-}" != "${1}" ] || [ -z "$(command -v "${1}")" ]; then - set -- remake "$@" + set -- casile "$@" fi exec "$@"
bash
d_bash_4027
--- +++ @@ -14,4 +14,8 @@ npm link termios child_pty npm install rm -rf ../hterminal-darwin-x64/ -../node_modules/.bin/electron-packager ./ --platform=darwin --arch=x64 --overwrite --prune --out=.. +../node_modules/.bin/electron-packager ./ HTerminal \ + --platform=darwin --arch=x64 \ + --app-bundle-id=com.cgame...
bash
d_bash_4028
--- +++ @@ -16,11 +16,11 @@ test -f $SOURCE || SOURCE=../../../sources/$SourceFile.sources if [ -f squeak ]; then mv squeak nsvm - ex -u NONE "+g/squeak/s/squeak/nsvm/g" +w +q nsvm + sed -i.bak 's/squeak/nsvm/g' nsvm fi if [ -f bin/squeak ]; then mv bin/squeak bin/nsvm - ex -u NONE "+g/squeak/s/squeak/nsvm/g"...
bash
d_bash_4029
--- +++ @@ -12,28 +12,35 @@ echo "Will poll $URL." while true; do - status=$(curl --fail --show-error --silent "$URL" | jq -r "[.builds | .[] | select(.commitId == \"$GIT_COMMIT\").status][0]") + build=$(curl --fail --show-error --silent "$URL" | jq "[.builds | .[] | select(.commitId == \"$G...
bash
d_bash_4030
--- +++ @@ -8,4 +8,7 @@ for domain in $(grep -o '[^ ]*uk' data/transition-sites/$1.yml | grep -v 'www.gov.uk' | grep -v 'blog.gov.uk' | sed 's/http[s?]:\/\///g' | sort | uniq ) do rm data/tests/$domain.csv + grep -v -F $domain data/tests/popular.csv > temp_file && mv temp_file data/tests/popular.csv + grep ...
bash
d_bash_4031
--- +++ @@ -2,30 +2,46 @@ # Test Django deployment set -o errexit +set -o nounset set -o pipefail set -o verbose -cd -# Activate virtualenv -. venv/bin/activate cd /src + # Install requirements pip install -r requirements.txt + # Run migrations ./manage.py migrate ./manage.py migrate --database=newsdb +...
bash
d_bash_4032
--- +++ @@ -3,15 +3,30 @@ # The install directory is hard-coded. TOOD: allow the directory to be specified on the command line. # +[[ -z "$JQUERY_VERSION_NUMBER" ]] && JQUERY_VERSION_NUMBER="1.6.1" +[[ -z "$JQUERY_UI_VERSION_NUMBER" ]] && JQUERY_UI_VERSION_NUMBER="1.8.13" function rails_jquery { curl -o pub...
bash
d_bash_4033
--- +++ @@ -43,11 +43,11 @@ case "$COMMAND" in update|update_indexes|update_queues|update_cron) echo "Doing $COMMAND" - google_appengine/appcfg.py $COMMAND ./ + ~/google_appengine/appcfg.py $COMMAND ./ ;; request-logs) echo "Doing update" - google_appengine/a...
bash
d_bash_4034
--- +++ @@ -7,4 +7,4 @@ mkdir -p "runs/$2/$3" cd rd_tool -DAALA_ROOT=../daala ./rd_tool.py -prefix "../runs/$2/$3" "$3" +DAALA_ROOT=../daala python -u rd_tool.py -prefix "../runs/$2/$3" "$3"
bash
d_bash_4035
--- +++ @@ -11,6 +11,8 @@ rm -rf dist || exit 0; # Run kotlin application to generate various data +echo $JAVA_HOME +java -version ./gradlew --no-daemon --stacktrace run -Dtravis=true # Build React Application npm run pack
bash
d_bash_4036
--- +++ @@ -1,2 +1,4 @@ mkdir -p -v ${BUILD_PATH}/travisCI/Scamper/fonts cp -R -v $PROJECT_HOME/build-support/fonts ${BUILD_PATH}/travisCI/Scamper/ +chmod -R 777 ${BUILD_PATH}/travisCI/Scamper/fonts/* +ls -lisa ${BUILD_PATH}/travisCI/Scamper/fonts/
bash
d_bash_4037
--- +++ @@ -15,5 +15,6 @@ cd leap_platform fi +cd tests/example-provider vagrant up pixelated --no-provision || vagrant reload vagrant provision
bash
d_bash_4038
--- +++ @@ -1,6 +1,7 @@ -# This script takes care of testing your crate +#!/usr/bin/env bash -set -o errtrace +set -o nounset +set -o errexit set -o xtrace make test
bash
d_bash_4039
--- +++ @@ -2,21 +2,24 @@ set -ex -GOPATH=/home/vagrant/go -export GOROOT=/usr/local/go -export PATH=$GOROOT/bin:$PATH -GO_ARCHIVE_URL=https://storage.googleapis.com/golang/go1.8.3.linux-amd64.tar.gz -GO_ARCHIVE=$GOPATH/src/github.com/cloudfoundry/bosh-agent/tmp/$(basename $GO_ARCHIVE_URL) +# golang { +pushd /us...
bash
d_bash_4040
--- +++ @@ -4,9 +4,7 @@ prepare_build vim-plugins/command-t --url git://github.com/wincent/Command-T -cd "$BUILD_DIRECTORY" - -cd command-t/ruby/command-t +cd "$BUILD_DIRECTORY/ruby/command-t" ruby extconf.rb make
bash
d_bash_4041
--- +++ @@ -1,3 +1,6 @@ manage_local() {python manage.py ${@} --settings=settings.local} manage_test() {python manage.py ${@} --settings=settings.test} pb () { curl -F "c=@${1:--}" https://ptpb.pw/ } +glb () { + git branch -vv --no-color | grep --color=never ] | awk '{print substr($0,3);}' | awk '{$2=""; prin...
bash
d_bash_4042
--- +++ @@ -1,2 +1,3 @@ psql -U $POSTGRES_USER -w -c "CREATE USER dws WITH ENCRYPTED PASSWORD 'dws'" dws +psql -U $POSTGRES_USER -w -c "ALTER SCHEMA public OWNER TO dws" dws psql -U $POSTGRES_USER -w -c "GRANT ALL PRIVILEGES ON ALL TABLES IN SCHEMA public TO dws" dws
bash
d_bash_4043
--- +++ @@ -3,4 +3,4 @@ set -e # Run foundry with arguments -./node_modules/.bin/foundry release $* +./node_modules/.bin/foundry release "$@"
bash
d_bash_4044
--- +++ @@ -1,4 +1,7 @@ #!/bin/bash + +git pull +git push cd ./relm-core cargo release --no-dev-version
bash
d_bash_4045
--- +++ @@ -35,12 +35,6 @@ then riak-admin cluster plan riak-admin cluster commit - - while ! riak-admin transfers | grep -iqF 'No transfers active' - do - echo 'Transfers in progress' - sleep 10 - done else echo "Node is first in cluster." fi @@ -48,5 +42,6 @@ echo "Kube...
bash
d_bash_4046
--- +++ @@ -19,7 +19,7 @@ echo "---- [4.2] Starting DFS... ----" $1/bin/start-dfs.sh - echo "---- [4.1] Starting MapReduce Framework... ----" + echo "---- [4.3] Starting MapReduce Framework... ----" $1/bin/start-mapred.sh fi
bash
d_bash_4047
--- +++ @@ -25,4 +25,4 @@ fi # Run the tests, and store the results in Evergreen compatible XUnit XML -${TOX_BINARY} -e ${TOX_ENV} ${SETUP_ARGS} +${TOX_BINARY} -e ${TOX_ENV} ${SETUP_ARGS} "$@"
bash
d_bash_4048
--- +++ @@ -12,7 +12,8 @@ -v 100 \ --vm-driver=kvm \ --kubernetes-version="$KUBERNETES_VERSION" \ - --bootstrapper=kubeadm + --bootstrapper=kubeadm \ + --profile="$HOSTNAME" # TODO: re-enable RBAC # --extra-config=apiserver.Authorization.Mode=RBAC
bash
d_bash_4049
--- +++ @@ -3,5 +3,5 @@ cd `dirname $0` bundle install vagrant up -chmod 0644 .chef/insecure_private_key +chmod 0600 .chef/insecure_private_key bundle exec knife solo bootstrap vagrant@localhost -i .chef/insecure_private_key -p 2222
bash
d_bash_4050
--- +++ @@ -1,6 +1,5 @@ # Window title - for Timing.app <https://itunes.apple.com/us/app/timing/id431511738?mt=12> -PROMPT_TITLE='echo -ne "\033]0;${USER}@${HOSTNAME%%.*}:${PWD/#$HOME/~}\007"' -export PROMPT_COMMAND="${PROMPT_COMMAND} ${PROMPT_TITLE}; " +echo -ne "\e]1;${USER}@${HOST%%.*}:${PWD/#$HOME/~}\a" # SSH...
bash
d_bash_4051
--- +++ @@ -1,5 +1,7 @@ PROJ_DIR=~/Sampler TARGET_DIR=$PROJ_DIR/sampler-examples/deploy/lib + +mkdir -p $TARGET_DIR find $PROJ_DIR/lib_managed -name '*.jar' -exec cp '{}' $TARGET_DIR \; cp $PROJ_DIR/sampler-core/target/scala-2.10/sampler-core_*.jar $TARGET_DIR
bash
d_bash_4052
--- +++ @@ -18,6 +18,8 @@ DEBIAN_FRONTEND=noninteractive aptitude install --assume-yes mysql-server aptitude install --assume-yes --allow-untrusted libdbd-mysql-perl libopenxpki-perl openxpki-i18n libapache2-mod-fastcgi +a2enmod fastcgi + service apache2 restart /vagrant/setup-dummy.sh
bash
d_bash_4053
--- +++ @@ -27,11 +27,11 @@ # Build out of tree mkdir build -(cd build +cd build cmake .. -make -j 8) - -# Run tests +make -j 8 make tests + +
bash
d_bash_4054
--- +++ @@ -5,6 +5,8 @@ xterm -e "java -jar stockstat-eureka-0.5-SNAPSHOT.jar" & xterm -e "java -Xdebug -Xrunjdwp:server=y,transport=dt_socket,address=18000,suspend=n -jar stockstat-core-0.5-SNAPSHOT.jar" & xterm -e "java -Xdebug -Xrunjdwp:server=y,transport=dt_socket,address=18001,suspend=n -jar stockstat-iclij-c...
bash
d_bash_4055
--- +++ @@ -6,7 +6,7 @@ echo "Running aclocal..."; aclocal $ACLOCAL_FLAGS -I m4 \ && echo "Running autoheader..."; autoheader \ && echo "Running autoconf..."; autoconf \ -&& echo "Running libtoolize..."; libtoolize --automake \ +&& echo "Running libtoolize..."; ( libtoolize --automake || glibtoolize --automake ) \...
bash
d_bash_4056
--- +++ @@ -2,7 +2,7 @@ set -x function cleanup { - kill $BTCPID + kill -9 $BTCPID } trap cleanup EXIT
bash
d_bash_4057
--- +++ @@ -1,9 +1,9 @@ #!/bin/bash sudo apt-get install -y cachefilesd sudo sed -i -e 's/#RUN=yes/RUN=yes/g' /etc/default/cachefilesd +: ${FSCACHE_DIR:=/var/cache/fscache} cat <<EOF | sudo tee /etc/cachefilesd.conf > /dev/null -dir /var/cache/fscache -#dir /raid +dir $FSCACHE_DIR tag dgx1cache brun 25% bcull ...
bash
d_bash_4058
--- +++ @@ -8,4 +8,4 @@ root="../" export PYTHONPATH="$root/src:$PYTHONPATH" cd $testdir -$python -m unittest discover +$python test_fypp.py
bash
d_bash_4059
--- +++ @@ -3,5 +3,6 @@ } function jc () { - code $(fd --type d "${1:-.}" ~/src | fzf -1 --height=10) + cd $(fd --type d "${1:-.}" ~/src | fzf -1 --height=10) + code . }
bash
d_bash_4060
--- +++ @@ -1,3 +1,3 @@ #!/usr/bin/env bash -java -Xmx3g -Xms3g -XX:+TieredCompilation -XX:ReservedCodeCacheSize=256m -XX:+UseNUMA -XX:+UseParallelGC -XX:+CMSClassUnloadingEnabled -jar sbt-launch.jar "$@" +java -Xmx3g -Xms3g -XX:+TieredCompilation -XX:ReservedCodeCacheSize=256m -XX:+UseNUMA -XX:+UseParallelGC -XX:...
bash
d_bash_4061
--- +++ @@ -3,3 +3,5 @@ zypper --non-interactive in salt-master salt-minion salt-proxy zypper --non-interactive in --oldpackage test-package=42:0.0 zypper --non-interactive up zypper libzypp + +pip install salttesting
bash
d_bash_4062
--- +++ @@ -1,21 +1,17 @@ #!/bin/bash set -eu -RELEASE_SCRIPTS=$HOME/juju-release-tools -SCRIPTS=$HOME/juju-ci-tools +export PATH=$HOME/juju-ci-tools:$PATH WORKSPACE=$(pwd) JUJU_HOME=$HOME/.juju source $HOME/.bashrc source $HOME/cloud-city/juju-qa.jujuci set -x -$SCRIPTS/jujuci.py setup-workspace --clean-env...
bash
d_bash_4063
--- +++ @@ -35,4 +35,5 @@ # name which is in an environment variable. If there is no CONTAINERNAME, # then use the host name. PS1="\${MYUSER}@\${CONTAINERNAME:-\h}:\w\$ " +PATH=\${PATH}:. EOF
bash
d_bash_4064
--- +++ @@ -1,4 +1,3 @@ #!/bin/bash -docker rm hal-wildfly docker run -p 8080:8080 -p 9990:9990 -d --name hal-wildfly halconsole/hal-wildfly /opt/jboss/wildfly/bin/standalone.sh -c standalone-full-ha-insecure.xml -b 0.0.0.0 -bmanagement 0.0.0.0
bash
d_bash_4065
--- +++ @@ -8,7 +8,7 @@ export FLASK_ENV=production GUNICORN_SOCKET=/tmp/dexter-gunicorn.sock -GUNICORN_WORKERS=4 +GUNICORN_WORKERS=3 exec gunicorn \ -w $GUNICORN_WORKERS \
bash
d_bash_4066
--- +++ @@ -5,10 +5,6 @@ else echo public fi - } - - returnBaseDir(){ - pwd } returnBranch(){
bash
d_bash_4067
--- +++ @@ -14,7 +14,7 @@ exit 1 fi - mongodump --uri "$MONGO_URI" --gzip --archive | aws s3 cp - "$TARGET_S3_FOLDER/backup-$DATE.tar.gz" + mongodump --uri "$MONGO_URI" --gzip --archive | aws s3 cp - "${TARGET_S3_FOLDER%/}/backup-$DATE.tar.gz" echo "Mongo dump uploaded to $TARGET_S3_FOLDER"...
bash
d_bash_4068
--- +++ @@ -2,9 +2,7 @@ # Description : # A simple script designed to run from crontab to check for new errata. -# Set the following : -# openbsd version running -obsd_version="59" +obsd_version=`sysctl kern.osrelease | cut -c 16-18 | tr -d '.'` # Where to send email report to email_rcpt="brendan@horan.hk"
bash
d_bash_4069
--- +++ @@ -21,7 +21,7 @@ #SBATCH --mail-type=END # The maximum running time of the job in days-hours:mins:sec -#SBATCH --time=0-2:0:00 +#SBATCH --time=0-10:0:00 # Run the job from the directory where it was launched (default): # The job command(s):
bash
d_bash_4070
--- +++ @@ -3,6 +3,10 @@ /etc/init.d/postgresql start source /src/nodejs-install.sh + +# Install cartodb-postgresql extension +git clone https://github.com/CartoDB/cartodb-postgresql.git +cd cartodb-postgresql && make && make install && cd .. echo "Node.js version: " node -v
bash
d_bash_4071
--- +++ @@ -32,7 +32,7 @@ -perm -u=x,g=x,o=x \ -exec strip --strip-all --enable-deterministic-archives --preserve-dates {} + -if [ -S $socket -a -r $socket -a -w $socket -a -f $file -a -r $file ]; then +if [ -S $socket ] && [ -r $socket ] && [ -w $socket ] && [ -f $file ] && [ -r $file ]; then docker build...
bash
d_bash_4072
--- +++ @@ -15,7 +15,7 @@ echo "==> Installing mit-scheme" # Chris Hanson <cph@chris-hanson.org> /usr/bin/gpg --keyserver keys.gnupg.net --recv-keys C9E40BAAFD0CB132 -/usr/bin/mv /tmp/PKGBUILD . +/usr/bin/cp /tmp/PKGBUILD . /usr/bin/makepkg -scri --noconfirm echo "==> Installing auracle"
bash
d_bash_4073
--- +++ @@ -1,6 +1,10 @@ #!/bin/bash export PATH=$PATH:/usr/local/bin + +brew install carthage + +carthage bootstrap xcodebuild -version | grep "Xcode 7" > /dev/null || { echo 'Not running Xcode 7' ; exit 1; }
bash
d_bash_4074
--- +++ @@ -1,6 +1,12 @@ #!/bin/bash set -ev +dir=$(pwd) +export RAM_CONF=$dir/backend/conf/conf.js +echo $RAM_CONF + +cd frontend +npm install if [ "$TRAVIS_SECURE_ENV_VARS" == "false" ]; then # Force use of jspm registry auth token here due to the following situation: @@ -9,17 +15,12 @@ # - normall...
bash
d_bash_4075
--- +++ @@ -19,9 +19,10 @@ pushd $BOOSTER for BRANCH in {redhat,master} do + # assumes "official" remote is named 'upstream' git fetch upstream && git co $BRANCH && git rebase upstream/$BRANCH if [ -e "$1" ]; then - echo -e "${BLUE}Running...
bash
d_bash_4076
--- +++ @@ -15,4 +15,4 @@ python3 -c 'import datetime; print (open("./setup_stub-master.py").read().replace("VERSION_STUB",datetime.datetime.now().strftime("%Y.%m%d.%H%M%S")))' >setup.py # Push to prod pypi -python3 setup.py sdist && twine-3 upload dist/* +python3 setup.py sdist && twine upload dist/*
bash
d_bash_4077
--- +++ @@ -7,7 +7,9 @@ function print_failure { docker ps -a - docker logs bootstrap_keystone + for failed in $(docker ps -a --format "{{.Names}}" --filter status=exited); do + docker logs --tail=all $failed + done echo "FAILED" exit 1 }
bash
d_bash_4078
--- +++ @@ -1,3 +1,6 @@ #!/usr/bin/env bash xcrun simctl openurl "$iOS_Simulator" "http://example.com" +# Run twice to fix bug (?) in Xcode 10.2 / iOS 12.2 which switches back to +# test app after opening the URL +xcrun simctl openurl "$iOS_Simulator" "http://example.com"
bash
d_bash_4079
--- +++ @@ -6,5 +6,7 @@ git clone java-test-applications java-test-applications-built +java -version + cd java-test-applications-built ./gradlew -Dorg.gradle.native=false build -x test
bash
d_bash_4080
--- +++ @@ -1,11 +1,13 @@ #!/usr/bin/env bash # Replace all instances of optoro_skel with the directory name +# This assumes the current directory is named something like optoro_* +# as per cookbook convention. DIRNAME=${PWD##*/} -echo $DIRNAME for i in $(grep -rl optoro_skel | grep -v .git | grep -v ${0##*/} )...
bash
d_bash_4081
--- +++ @@ -20,6 +20,7 @@ FORMULAS=( bash + colima coreutils curl diffutils @@ -41,6 +42,7 @@ jump less lf + lima make moreutils pidof @@ -59,7 +61,6 @@ ) CASKS=( - homebrew/cask/docker homebrew/cask-fonts/font-fira-code )
bash
d_bash_4082
--- +++ @@ -5,5 +5,7 @@ cd daetools-code chmod +x install_dependencies_linux.sh compile_libraries_linux.sh compile_linux.sh ./install_dependencies_linux.sh -./compile_libraries_linux.sh --with-python-version 3.5 boost ref_blas_lapack umfpack idas superlu superlu_mt bonmin nlopt # compile everything except Trilino...
bash
d_bash_4083
--- +++ @@ -3,9 +3,9 @@ # This script is supposed to be run from 'directory/trunks' # with the command 'resources/superclean.sh' -find . -name -type d target | xargs rm -rf +find . -type d -name target | xargs rm -rf -if [ `uname`="CYGWIN_NT-5.1" ]; then +if [ `uname` == "CYGWIN_NT-5.1" ]; then rm -rf $(cygp...
bash
d_bash_4084
--- +++ @@ -5,3 +5,11 @@ * ) command go "$@" ;; esac } + +# Always add verbose flag to dep ensure commands +function dep() { + case $* in + ensure* ) shift 1; command dep ensure -v "$@" | more ;; + * ) command dep "$@" ;; + esac +}
bash
d_bash_4085
--- +++ @@ -21,6 +21,9 @@ zcompile $HOME/.zshenv zcompile $HOME/.zprofile +# Make ZSH the default shell +chsh -s $(which zsh) + # Install vim plugin manager curl -fLo ~/.vim/autoload/plug.vim --create-dirs \ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
bash
d_bash_4086
--- +++ @@ -21,3 +21,8 @@ # Create a group and assign the user to it dseditgroup -o create "$SSH_USERNAME" dseditgroup -o edit -a "$SSH_USERNAME" "$SSH_USERNAME" + +if [ "$OSX_VERS" = "11" ]; then + nvram boot-args=rootless=0 + reboot +fi
bash
d_bash_4087
--- +++ @@ -1,5 +1,5 @@ export UGRID_HOST=localhost -export UGRID_WORKER_PER_HOST=${UGRID_WORKER_PER_HOST:-4} +export UGRID_WORKER_PER_HOST=${UGRID_WORKER_PER_HOST:-1} export HDFS_HOST=localhost export HDFS_USER=cedric export HDFS_DATA_DIR=/tmp/hadoop-cedric/dfs/data/current
bash
d_bash_4088
--- +++ @@ -6,8 +6,11 @@ CABAL=cabal fi - -(cd Obsidian; git checkout master-dev) +# Manually update just ONE submodule. Not testing the gpu_graph one currently: +git submodule update --init Obsidian +# This is a no-no, it means different things at different times and is +# thus not reproducable: +# (cd Obs...
bash
d_bash_4089
--- +++ @@ -1,7 +1,5 @@ #!/usr/bin/env bash set -eo pipefail - -function die { echo "$2" && exit $1; } mkdir -p docs
bash
d_bash_4090
--- +++ @@ -13,7 +13,7 @@ echo echo "File: $blif_file" #valgrind --leak-check=full --track-origins=yes ./blifparse_test $blif_file - ./blifparse_test $blif_file + ./blifparse_test $blif_file > blif_parse_test.log exit_code=$? if [[ $exit_code -ne 0 ]]; then ...
bash
d_bash_4091
--- +++ @@ -1,8 +1,8 @@ #!/bin/bash - apt update -apt install --yes python python-pip xfce4 firefox +apt install --yes python3 python3-pip xfce4 firefox git clone --depth 1 https://github.com/trustedsec/social-engineer-toolkit.git set/ chown -R vagrant:vagrant set cd set -pip install -r requirements.txt +pip3 ...
bash
d_bash_4092
--- +++ @@ -7,5 +7,6 @@ url="https://codeload.github.com/nodejs/node/tar.gz/$version" curl $url -o "$version.tar.gz" tar -xf "$version.tar.gz" + rm "$version.tar.gz" fi exec node http.test.js `pwd`/$nodeRoot
bash
d_bash_4093
--- +++ @@ -3,4 +3,4 @@ mkdir $NAME cd $NAME ../Cuis-Smalltalk-Dev/bin/copyImage.sh $NAME -../Cuis-Smalltalk-Dev/bin/getCog.sh 13.30 2761 +../Cuis-Smalltalk-Dev/bin/getCog.sh 13.33 2776
bash
d_bash_4094
--- +++ @@ -1,12 +1,12 @@ pkg_name=mc pkg_origin=core -pkg_version=4.8.18 +pkg_version=4.8.21 pkg_description="Midnight Commander." pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>" pkg_license=('GPL-3.0') -pkg_source=http://ftp.midnight-commander.org/mc-${pkg_version}.tar.bz2 +pkg_source=http://ftp.m...
bash
d_bash_4095
--- +++ @@ -15,7 +15,7 @@ ;; *) echo "Invalid node index" - exit 1 + exit 0 esac mkdir $HOME/build
bash
d_bash_4096
--- +++ @@ -1,7 +1,11 @@ BaseComparator(){ isEqual(){ - if [[ ${1} == ${2} ]]; then + if [[ ! ${1//[0-9-]/} && ! ${2//[0-9-]} ]]; then echo true + else + if [[ ${1} == ${2} ]]; then + echo true + fi fi }
bash
d_bash_4097
--- +++ @@ -41,3 +41,5 @@ alias t="tree" alias ip="ifconfig -a | grep -o 'inet6\? \(\([0-9]\+\.[0-9]\+\.[0-9]\+\.[0-9]\+\)\|[a-fA-F0-9:]\+\)' | sed -e 's/inet6* //' | sort | sed 's/\('$(ipconfig getifaddr en1)'\)/\1 [LOCAL]/'" + +alias dotstar="cd ${HOME}/.dot-star && l"
bash
d_bash_4098
--- +++ @@ -14,7 +14,17 @@ # # Copyright Clairvoyant 2015 +if rpm -q redhat-lsb-core; then + OSREL=`lsb_release -rs | awk -F. '{print $1}'` +else + OSREL=`rpm -qf /etc/redhat-release --qf="%{VERSION}\n"` +fi +if [ $OSREL == 7 ]; then + # https://www.centos.org/forums/viewtopic.php?f=47&t=47626 + systemctl dis...
bash
d_bash_4099
--- +++ @@ -1,3 +1,3 @@ #!/bin/bash -nosetests -v tests/indigo_orchestrator_test.py tests/mesos_test.py tests/condor_test.py +nosetests -v tests/indigo_orchestrator_test.py tests/mesos_test.py tests/condor_test.py --with-xunit --with-coverage --cover-erase --cover-html --cover-xml --cover-package=mesos,indigo_orch...
bash